The Workbench 2022-01

  • Posted on: 23 January 2022
  • By: tomww

Hi all,

A working package is ready now. Run MySQL 8.0 on your Solaris X86 machine (maybe run it in a zone?).
Instructions about starting with MySQL 8.0.27 / 8.0.28 on Solaris / OmniOS are here: https://sfe.opencsw.org/SFEmysql80
Make sure, you have installed at minimum these package timestamps:
S11.4 GA - mysql-80@8.0.28-0.11.4.0.0.1.15.0
or
S11.4+SRU - mysql-80@8.0.28-0.11.4.39
or
S11.3+SRU - mysql-80@8.0.28,5.11-0.0.175.3.33

OmniOS and OpenIndiana will follow...
Testing! OmniOS 151038 - mysql-80@8.0.28,5.11-0.151038.22

The package mysql-80 mimics the layout and integration like the good old MySQL 5.7 packages. I'll add more OS-platforms like Solaris 11.3, OmniOS and OpenIndiana a bit later (tell me if you want this packages for that OS). You want a mysql-8.0.27/8.0.28 package for sparc CPU? Drop me a note!
Mail me at: sfepackages at g mail dot com

Regards
Thomas

(Edit history)
(20220112-2140CET removed notes about solved db-init errors, testing done, so removed call for testers - well, you may still ask to volunteer, just test the package with the test-suite and remember to load all the needed plugins for the tests - drop me a note, if you have tested and how)
(20220115 added Solaris 11.3 package FMRI für mysql-80)
(20220119 updated to available 8.0.28 version)

Comments

predrag.zecevic's picture

Hi Tom,
I can try to test openindiana version, if you have such package ATM.
Regards

Hi Predrag!
What version of OpenIndiana would be the one for your testing? I then update the build system to that version.
Spare time is up at the moment, so it can take a while until I can add mysql-8.0.27 package to OpenIndiana.
Out of interest, would you have a real application running on MySQL for your testing? I already have to people running NextCloud (!). Not that you would need to surpass this :) , any application would do. I just find it crazy cool to run NextCloud on native ZFS on Solaris...
Regards,
Thomas

predrag.zecevic's picture

Hi Tom,
I have no preferences regarding version (latest one you have would be fine).

Just need to practice move away from version 5.7 (I have that option for Linux, but I am keen to check it on my OS).
Regards.

P.S: No problems, I can wait :-)

As a pre-work, we got a prelimiary fixed mman.h include file for for Illumos.
So MySQL 8.0.28 already works on OmniOS. The same fixed mman.h should work for OpenIndiana too. I expect to find a little bit time on February to work on MySQL 8.0.28 in OpenIndiana.
Regards,
Thomas

predrag.zecevic's picture